org.jbpm.examples.checklist

## Interface ChecklistManager

- All Known Implementing Classes:
    DefaultChecklistManager

      public interface ChecklistManager

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `abortTask(String userId, long taskId)`
    `ChecklistItem` | `addTask(String userId, String[] actorIds, String[] groupIds, String name, String orderingId, long processInstanceId)`
    `void` | `claimTask(String userId, long taskId)`
    `void` | `completeTask(String userId, long taskId)`
    `long` | `createContext(String name, String actorId)`
    `List<ChecklistContext>` | `getContexts()`
    `List<ChecklistItem>` | `getTasks(long processInstanceId, List<ChecklistContextConstraint> contexts)`
    `void` | `releaseTask(String userId, long taskId)`
    `void` | `selectOptionalTask(String taskName, long processInstanceId)`
    `void` | `updateTaskDescription(long taskId, String description)`
    `void` | `updateTaskName(long taskId, String name)`
    `void` | `updateTaskPotentialOwners(long taskId, List<org.kie.api.task.model.OrganizationalEntity> potentialOwners)`
    `void` | `updateTaskPriority(long taskId, int priority)`

- - ### Method Detail

    - #### getContexts

          List<ChecklistContext> getContexts()

    - #### createContext

          long createContext(String name,
                             String actorId)

    - #### getTasks

          List<ChecklistItem> getTasks(long processInstanceId,
                                       List<ChecklistContextConstraint> contexts)

    - #### addTask

          ChecklistItem addTask(String userId,
                                String[] actorIds,
                                String[] groupIds,
                                String name,
                                String orderingId,
                                long processInstanceId)

    - #### updateTaskName

          void updateTaskName(long taskId,
                              String name)

    - #### updateTaskDescription

          void updateTaskDescription(long taskId,
                                     String description)

    - #### updateTaskPriority

          void updateTaskPriority(long taskId,
                                  int priority)

    - #### updateTaskPotentialOwners

          void updateTaskPotentialOwners(long taskId,
                                         List<org.kie.api.task.model.OrganizationalEntity> potentialOwners)

    - #### claimTask

          void claimTask(String userId,
                         long taskId)

    - #### releaseTask

          void releaseTask(String userId,
                           long taskId)

    - #### completeTask

          void completeTask(String userId,
                            long taskId)

    - #### abortTask

          void abortTask(String userId,
                         long taskId)

    - #### selectOptionalTask

          void selectOptionalTask(String taskName,
                                  long processInstanceId)

Copyright © 2001–2020 JBoss by Red Hat. All rights reserved.